openSUSE Security Update : git-annex (openSUSE-2018-697)

Medium Nessus Plugin ID 110937

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for git-annex to version 6.20180626 fixes the following issues :

- CVE-2018-10857: Prevent file content disclosure by refusing to download content that cannot be verified with a hash, from encrypted special remotes and glacier (bsc#1098062).

- CVE-2018-10859: Prevent local gpg encrypted file disclosure by refusing to download content that cannot be verified with a hash, from encrypted special remotes (bsc#1098364).

This update brings many other bug fixes and new features.
http://hackage.haskell.org/package/git-annex-6.20180626/changelog has a detailed list of changes.

Solution

Update the affected git-annex packages.

See Also

http://hackage.haskell.org/package/git-annex-6.20180626/changelog

https://bugzilla.opensuse.org/show_bug.cgi?id=1098062

https://bugzilla.opensuse.org/show_bug.cgi?id=1098364

Plugin Details

Severity: Medium

ID: 110937

File Name: openSUSE-2018-697.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2018/07/06

Modified: 2018/07/09

Dependencies: 12634

Risk Information

Risk Factor: Medium

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:git-annex, p-cpe:/a:novell:opensuse:git-annex-bash-completion, cpe:/o:novell:opensuse:15.0, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/07/05

Reference Information

CVE: CVE-2018-10857, CVE-2018-10859